#ifndef FITSWRAPPER_H
#define FITSWRAPPER_H

#include <QByteArray>
#include <QString>
#include <fitsio.h>

class FITSWrapper
{
public:
    explicit FITSWrapper(const QString &path, int mode, bool open);
    ~FITSWrapper();
    FITSWrapper(FITSWrapper &other) = delete;
    int status() const;
    operator fitsfile*();
private:
    QString _path;
    int _status = 0;
    int _mode = 0;
    fitsfile *_file;
    size_t _bufferSize = 0;
    void *_bufferPtr = nullptr;
};

#endif // FITSWRAPPER_H
